# 
# * 5.5 Итератор и итерируемые объекты. Функции iter и next
# 

"""
Подвиг 2. Вводится список городов в одну строчку через пробел.
Необходимо создать итератор для этого списка и с помощью итератора
вывести на экран в столбик первые два значения (названия городов).
Sample Input:
Москва Лондон Берлин Пекин
Sample Output:
Москва
Лондон
"""
# s = iter(input().split())
# print(next(s))
# print(next(s))

"""
Подвиг 3. Вводится строка. Нужно создать итератор для перебора символов этой строки.
Затем, перебрать через созданный итератор все символы до первого пробела.
В процессе перебора символы выводить на экран в одну строчку друг за другом (без пробелов).
Гарантируется, что во введенной строке имеется хотя бы один пробел.
Sample Input:
Возможно-это будет полезно
Sample Output:
Возможно-это
"""
# #  1
# s = iter(input())
# while True:
#     a = next(s)
#     if a != ' ':
#         print(a,end='')
#     else:
#         break
# # 2
# s = iter(input().split())
# print(next(s))

"""
Подвиг 4. Вводится четырехзначное целое положительное число.
Подумайте, как можно определить итератор для перебора его цифр.
Выведите цифры этого введенного числа (с помощью итератора) в одну строчку через пробел.
Sample Input:
4387
Sample Output:
4 3 8 7
"""
s = input()
it = iter(s)
d = next(it)
for d in s:
    print(d, end=' ')